RubyGems Navigation menu

puppet-lint-roles_and_profiles-check 0.1.1

A puppet-lint plugin to check that: - a node definition declares only a role, - a role class does not have any param and only declares profiles, - a profiles class can declare anything but a role.

Gemfile:
= In die Zwischenablage kopieren Kopiert!

installieren:
=

Versionen:

  1. 0.1.1 - August 18, 2016 (6 KB)
  2. 0.1.0 - October 26, 2014 (6 KB)

Runtime Abhängigkeiten (1):

puppet-lint < 3.0, >= 1.0

Development Abhängigkeiten (4):

rake >= 0
rspec ~> 3.0
rspec-its ~> 1.0

Besitzer:

Autoren:

  • Mickaël Canévet

SHA 256-Prüfsumme:

= In die Zwischenablage kopieren Kopiert!

Downloads insgesamt 241.028

Für diese Version 228.434

Lizenz:

MIT

Erforderliche Ruby-Version: >= 0

Links: